# Generated from awesome_flags-2.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name awesome_flags

Name: rubygem-%{gem_name}
Version: 2.2.1
Release: 1%{?dist}
Summary: Extends FlagShihTzu functionality
License: MIT
URL: http://github.com/gabekessler/awesome_flags
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Outputs keys used in the FlagShihTzu setup. Can be filtered by column for
models with multiple flag columns.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/awesome_flags.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 2.2.1-1
- Initial package
